import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetNotificationConfigurationRequest,
  GetNotificationConfigurationResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetNotificationConfigurationCommandInput
  extends GetNotificationConfigurationRequest {}
export interface GetNotificationConfigurationCommandOutput
  extends GetNotificationConfigurationResponse,
    __MetadataBearer {}
declare const GetNotificationConfigurationCommand_base: {
  new (
    input: GetNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationConfigurationCommandInput,
    GetNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetNotificationConfigurationCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationConfigurationCommandInput,
    GetNotificationConfigurationCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetNotificationConfigurationCommand extends GetNotificationConfigurationCommand_base {
  protected static __types: {
    api: {
      input: GetNotificationConfigurationRequest;
      output: GetNotificationConfigurationResponse;
    };
    sdk: {
      input: GetNotificationConfigurationCommandInput;
      output: GetNotificationConfigurationCommandOutput;
    };
  };
}
