import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  GetNotificationEventRequest,
  GetNotificationEventResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface GetNotificationEventCommandInput
  extends GetNotificationEventRequest {}
export interface GetNotificationEventCommandOutput
  extends GetNotificationEventResponse,
    __MetadataBearer {}
declare const GetNotificationEventCommand_base: {
  new (
    input: GetNotificationEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationEventCommandInput,
    GetNotificationEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    __0_0: GetNotificationEventCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    GetNotificationEventCommandInput,
    GetNotificationEventCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class GetNotificationEventCommand extends GetNotificationEventCommand_base {
  protected static __types: {
    api: {
      input: GetNotificationEventRequest;
      output: GetNotificationEventResponse;
    };
    sdk: {
      input: GetNotificationEventCommandInput;
      output: GetNotificationEventCommandOutput;
    };
  };
}
