import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListNotificationHubsRequest,
  ListNotificationHubsResponse,
} from "../models/models_0";
import {
  NotificationsClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../NotificationsClient";
export { __MetadataBearer };
export { $Command };
export interface ListNotificationHubsCommandInput
  extends ListNotificationHubsRequest {}
export interface ListNotificationHubsCommandOutput
  extends ListNotificationHubsResponse,
    __MetadataBearer {}
declare const ListNotificationHubsCommand_base: {
  new (
    input: ListNotificationHubsCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationHubsCommandInput,
    ListNotificationHubsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  new (
    ...[input]: [] | [ListNotificationHubsCommandInput]
  ): import("@smithy/smithy-client").CommandImpl<
    ListNotificationHubsCommandInput,
    ListNotificationHubsCommandOutput,
    NotificationsClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class ListNotificationHubsCommand extends ListNotificationHubsCommand_base {
  protected static __types: {
    api: {
      input: ListNotificationHubsRequest;
      output: ListNotificationHubsResponse;
    };
    sdk: {
      input: ListNotificationHubsCommandInput;
      output: ListNotificationHubsCommandOutput;
    };
  };
}
